Bug 1315204 - abipkgdiff should support parallel executions
abipkgdiff should support parallel executions
Status: CLOSED ERRATA
Product: Fedora EPEL
Classification: Fedora
Component: libabigail (Show other bugs)
epel7
All Linux
urgent Severity urgent
: ---
: ---
Assigned To: Dodji Seketeli
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-07 04:06 EST by Miroslav Vadkerti
Modified: 2016-04-13 09:18 EDT (History)
3 users (show)

See Also:
Fixed In Version: libabigail-1.0-0.rc3.2.el6 libabigail-1.0-0.rc3.1.fc23 libabigail-1.0-0.8.rc3.1.el7 libabigail-1.0-0.8.rc3.1.fc22
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-04-13 01:56:15 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Sourceware 19780 None None None 2016-03-07 08:28 EST

  None (edit)
Description Miroslav Vadkerti 2016-03-07 04:06:50 EST
Description of problem:
When I try to run abipkgdiff in parallel on one machine with differrent working directory I get errors like:

cpio: ./usr/src/debug/aide-0.14/src/list.c: Cannot open: No such file or directory
cpio: cannot make directory `./usr': No such file or directory
cpio: ./usr/src/debug/aide-0.14/src/md.c: Cannot open: No such file or directory
cpio: cannot make directory `./usr': No such file or directory
cpio: ./usr/src/debug/aide-0.14/src/snprintf.c: Cannot open: No such file or directory
cpio: cannot make directory `./usr': No such file or directory
cpio: ./usr/src/debug/aide-0.14/src/symboltable.c: Cannot open: No such file or directory
cpio: cannot make directory `./usr': No such file or directory

Version-Release number of selected component (if applicable):
1.0.rc3

How reproducible:
100%

Steps to Reproduce:
1. Run abipkgdiff in parallel

Actual results:
Parallel execution does not work

Expected results:
Parallel execution works
Comment 1 Dodji Seketeli 2016-03-07 08:18:45 EST
Indeed.  I have filed an upstream bug for this at https://sourceware.org/bugzilla/show_bug.cgi?id=19780.
Comment 2 Dodji Seketeli 2016-03-07 08:35:37 EST
As noted on https://sourceware.org/bugzilla/show_bug.cgi?id=19780, the upstream master branch now has a fix for this.  Please let me know if you still see the issue with that branch.
Comment 3 Fedora Update System 2016-03-08 09:02:13 EST
libabigail-1.0-0.rc3.2.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-c0cf4b9bc1
Comment 4 Fedora Update System 2016-03-08 09:03:35 EST
libabigail-1.0-0.rc3.1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-3141c4dddf
Comment 5 Fedora Update System 2016-03-08 09:05:32 EST
libabigail-1.0-0.rc3.1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-627c4a9385
Comment 6 Fedora Update System 2016-03-08 09:06:34 EST
libabigail-1.0-0.rc3.1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-fbf75a532f
Comment 7 Fedora Update System 2016-03-09 16:23:44 EST
libabigail-1.0-0.rc3.1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-627c4a9385
Comment 8 Fedora Update System 2016-03-09 17:56:29 EST
libabigail-1.0-0.rc3.1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-fbf75a532f
Comment 9 Fedora Update System 2016-03-09 18:18:55 EST
libabigail-1.0-0.rc3.2.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-c0cf4b9bc1
Comment 10 Fedora Update System 2016-03-09 18:21:33 EST
libabigail-1.0-0.rc3.1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-3141c4dddf
Comment 11 Fedora Update System 2016-03-25 10:09:00 EDT
libabigail-1.0-0.8.rc3.1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-0fadb87d4a
Comment 12 Fedora Update System 2016-03-25 10:55:35 EDT
libabigail-1.0-0.8.rc3.1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-004d881198
Comment 13 Fedora Update System 2016-03-25 17:52:49 EDT
libabigail-1.0-0.rc3.2.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.
Comment 14 Fedora Update System 2016-03-25 19:47:54 EDT
libabigail-1.0-0.8.rc3.1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-004d881198
Comment 15 Fedora Update System 2016-03-25 23:19:07 EDT
libabigail-1.0-0.rc3.1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 16 Fedora Update System 2016-03-26 10:18:51 EDT
libabigail-1.0-0.8.rc3.1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-0fadb87d4a
Comment 17 Fedora Update System 2016-04-13 01:56:10 EDT
libabigail-1.0-0.8.rc3.1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.
Comment 18 Fedora Update System 2016-04-13 09:18:46 EDT
libabigail-1.0-0.8.rc3.1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.